summaryrefslogtreecommitdiff
path: root/contrib/suse
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/suse')
-rwxr-xr-x[-rw-r--r--]contrib/suse/bbackupd8
-rw-r--r--contrib/suse/bbackupd.in103
-rwxr-xr-x[-rw-r--r--]contrib/suse/bbstored33
-rw-r--r--contrib/suse/bbstored.in104
4 files changed, 229 insertions, 19 deletions
diff --git a/contrib/suse/bbackupd b/contrib/suse/bbackupd
index 4dd94154..30605185 100644..100755
--- a/contrib/suse/bbackupd
+++ b/contrib/suse/bbackupd
@@ -7,7 +7,7 @@
# RELEASED AND PROVIDED TO YOU UNDER THE SAME LICENCE AS THE BOXBACKUP
# SUITE OF PROGRAMS. LICENCE MAY BE VIEWED HERE:
#
-# http://www.fluffy.co.uk/boxbackup/license.html
+# http://www.boxbackup.org/license.html
######################################################################
#
# /etc/init.d/bbackupd
@@ -28,7 +28,7 @@
### END INIT INFO
# Check for missing binaries (stale symlinks should not happen)
-BBACKUPD_BIN=/usr/sbin/bbackupd
+BBACKUPD_BIN=/usr/local/bin/bbackupd
if [ ! -x $BBACKUPD_BIN ] ; then
echo "$BBACKUPD_BIN not installed"
exit 5
@@ -90,7 +90,9 @@ case "$1" in
;;
probe)
- test /etc/box/bbackupd.conf -nt /var/run/bbackupd.pid && echo reload
+ test /etc/box/bbackupd.conf \
+ -nt /var/run/bbackupd.pid \
+ && echo reload
;;
*)
diff --git a/contrib/suse/bbackupd.in b/contrib/suse/bbackupd.in
new file mode 100644
index 00000000..d3a5659e
--- /dev/null
+++ b/contrib/suse/bbackupd.in
@@ -0,0 +1,103 @@
+#!/bin/sh
+#
+# Copyright (c)2004, Nothing But Net Limited
+# <chris.smith@nothingbutnet.co.nz>
+#
+######################################################################
+# RELEASED AND PROVIDED TO YOU UNDER THE SAME LICENCE AS THE BOXBACKUP
+# SUITE OF PROGRAMS. LICENCE MAY BE VIEWED HERE:
+#
+# http://www.boxbackup.org/license.html
+######################################################################
+#
+# /etc/init.d/bbackupd
+# and its symbolic link
+# /(usr/)sbin/rcbbackupd
+#
+### BEGIN INIT INFO
+# Provides: bbackupd
+# Required-Start: $named $network $local_fs $syslog
+# X-UnitedLinux-Should-Start: $time ypbind sendmail
+# Required-Stop: $named $network $localfs $syslog
+# X-UnitedLinux-Should-Stop: $time ypbind sendmail
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Short-Description: BoxBackup client side daemon
+# Description: Client daemon for the BoxBackup software
+# that allows you to communicate with a bbstored server.
+### END INIT INFO
+
+# Check for missing binaries (stale symlinks should not happen)
+BBACKUPD_BIN=@bindir_expanded@/bbackupd
+if [ ! -x $BBACKUPD_BIN ] ; then
+ echo "$BBACKUPD_BIN not installed"
+ exit 5
+fi
+
+. /etc/rc.status
+
+# Reset status of this service
+rc_reset
+
+case "$1" in
+ start)
+ echo -n "Starting bbackupd "
+ startproc $BBACKUPD_BIN
+ rc_status -v
+ ;;
+
+ stop)
+ echo -n "Shutting down bbackupd "
+ killproc -TERM $BBACKUPD_BIN
+ rc_status -v
+ ;;
+
+ try-restart|condrestart)
+ if test "$1" = "condrestart"; then
+ echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
+ fi
+ $0 status
+ if test $? = 0; then
+ $0 restart
+ else
+ rc_reset # Not running is not a failure.
+ fi
+ rc_status
+ ;;
+
+ restart)
+ $0 stop
+ $0 start
+ rc_status
+ ;;
+
+ force-reload)
+ echo -n "Reload service bbackupd "
+ killproc -HUP $BBACKUPD_BIN
+ rc_status -v
+ ;;
+
+ reload)
+ echo -n "Reload service bbackupd "
+ killproc -HUP $BBACKUPD_BIN
+ rc_status -v
+ ;;
+
+ status)
+ echo -n "Checking for service bbackupd "
+ checkproc $BBACKUPD_BIN
+ rc_status -v
+ ;;
+
+ probe)
+ test @sysconfdir_expanded@/box/bbackupd.conf \
+ -nt @localstatedir_expanded@/bbackupd.pid \
+ && echo reload
+ ;;
+
+ *)
+ echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
+ exit 1
+
+esac
+rc_exit
diff --git a/contrib/suse/bbstored b/contrib/suse/bbstored
index 1824dda7..d0d8b068 100644..100755
--- a/contrib/suse/bbstored
+++ b/contrib/suse/bbstored
@@ -7,15 +7,15 @@
# RELEASED AND PROVIDED TO YOU UNDER THE SAME LICENCE AS THE BOXBACKUP
# SUITE OF PROGRAMS. LICENCE MAY BE VIEWED HERE:
#
-# http://www.fluffy.co.uk/boxbackup/license.html
+# http://www.boxbackup.org/license.html
######################################################################
#
-# /etc/init.d/bbackupd
+# /etc/init.d/bbstored
# and its symbolic link
-# /(usr/)sbin/rcbbackupd
+# /(usr/)sbin/rcbbstored
#
### BEGIN INIT INFO
-# Provides: bbackupd
+# Provides: bbstored
# Required-Start: $named $network $local_fs $syslog
# X-UnitedLinux-Should-Start: $time ypbind sendmail
# Required-Stop: $named $network $localfs $syslog
@@ -23,15 +23,15 @@
# Default-Start: 3 5
# Default-Stop: 0 1 2 6
# Short-Description: BoxBackup server side daemon
-# Description: Client daemon for the BoxBackup software
-# that allows you to communicate with a bbstored server.
+# Description: Server daemon for the BoxBackup software,
+# to which bbackupd clients connect.
### END INIT INFO
#
# Check for missing binaries (stale symlinks should not happen)
-BBACKUPD_BIN=/usr/sbin/bbstored
-if [ ! -x $BBACKUPD_BIN ] ; then
- echo "$BBACKUPD_BIN not installed"
+BBSTORED_BIN=/usr/local/bin/bbstored
+if [ ! -x $BBSTORED_BIN ] ; then
+ echo "$BBSTORED_BIN not installed"
exit 5
fi
@@ -43,13 +43,13 @@ rc_reset
case "$1" in
start)
echo -n "Starting bbstored "
- startproc $BBACKUPD_BIN
+ startproc $BBSTORED_BIN
rc_status -v
;;
stop)
- echo -n "Shutting down bstored "
- killproc -TERM $BBACKUPD_BIN
+ echo -n "Shutting down bbstored "
+ killproc -TERM $BBSTORED_BIN
rc_status -v
;;
@@ -74,24 +74,25 @@ case "$1" in
force-reload)
echo -n "Reload service bbstored "
- killproc -HUP $BBACKUPD_BIN
+ killproc -HUP $BBSTORED_BIN
rc_status -v
;;
reload)
echo -n "Reload service bbstored "
- killproc -HUP $BBACKUPD_BIN
+ killproc -HUP $BBSTORED_BIN
rc_status -v
;;
status)
echo -n "Checking for service bbstored "
- checkproc $BBACKUPD_BIN
+ checkproc $BBSTORED_BIN
rc_status -v
;;
probe)
- test /etc/box/bbstored.conf -nt /var/run/bbstored.pid && echo reload
+ test /etc/box/bbstored.conf \
+ -nt /var/run/bbstored.pid && echo reload
;;
*)
diff --git a/contrib/suse/bbstored.in b/contrib/suse/bbstored.in
new file mode 100644
index 00000000..e8c74278
--- /dev/null
+++ b/contrib/suse/bbstored.in
@@ -0,0 +1,104 @@
+#!/bin/sh
+#
+# Copyright (c)2004, Nothing But Net Limited
+# <chris.smith@nothingbutnet.co.nz>
+#
+######################################################################
+# RELEASED AND PROVIDED TO YOU UNDER THE SAME LICENCE AS THE BOXBACKUP
+# SUITE OF PROGRAMS. LICENCE MAY BE VIEWED HERE:
+#
+# http://www.boxbackup.org/license.html
+######################################################################
+#
+# /etc/init.d/bbstored
+# and its symbolic link
+# /(usr/)sbin/rcbbstored
+#
+### BEGIN INIT INFO
+# Provides: bbstored
+# Required-Start: $named $network $local_fs $syslog
+# X-UnitedLinux-Should-Start: $time ypbind sendmail
+# Required-Stop: $named $network $localfs $syslog
+# X-UnitedLinux-Should-Stop: $time ypbind sendmail
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Short-Description: BoxBackup server side daemon
+# Description: Server daemon for the BoxBackup software,
+# to which bbackupd clients connect.
+### END INIT INFO
+#
+
+# Check for missing binaries (stale symlinks should not happen)
+BBSTORED_BIN=@bindir_expanded@/bbstored
+if [ ! -x $BBSTORED_BIN ] ; then
+ echo "$BBSTORED_BIN not installed"
+ exit 5
+fi
+
+. /etc/rc.status
+
+# Reset status of this service
+rc_reset
+
+case "$1" in
+ start)
+ echo -n "Starting bbstored "
+ startproc $BBSTORED_BIN
+ rc_status -v
+ ;;
+
+ stop)
+ echo -n "Shutting down bbstored "
+ killproc -TERM $BBSTORED_BIN
+ rc_status -v
+ ;;
+
+ try-restart|condrestart)
+ if test "$1" = "condrestart"; then
+ echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
+ fi
+ $0 status
+ if test $? = 0; then
+ $0 restart
+ else
+ rc_reset # Not running is not a failure.
+ fi
+ rc_status
+ ;;
+
+ restart)
+ $0 stop
+ $0 start
+ rc_status
+ ;;
+
+ force-reload)
+ echo -n "Reload service bbstored "
+ killproc -HUP $BBSTORED_BIN
+ rc_status -v
+ ;;
+
+ reload)
+ echo -n "Reload service bbstored "
+ killproc -HUP $BBSTORED_BIN
+ rc_status -v
+ ;;
+
+ status)
+ echo -n "Checking for service bbstored "
+ checkproc $BBSTORED_BIN
+ rc_status -v
+ ;;
+
+ probe)
+ test @sysconfdir_expanded@/box/bbstored.conf \
+ -nt @localstatedir_expanded@/bbstored.pid && echo reload
+ ;;
+
+ *)
+ echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
+ exit 1
+ ;;
+
+esac
+rc_exit